import jaggl.OpenGL;

public class Class130 {

   static int[] anIntArray1561 = new int[2];
   Class545_Sub1 aClass545_Sub1_1562;
   static final int anInt1563 = 35632;
   static final int anInt1564 = 35633;
   int anInt1565;


   void method2489() throws Throwable {
      this.aClass545_Sub1_1562.method14607((long)this.anInt1565);
      super.finalize();
   }

   static Class130 method2490(Class545_Sub1 var0, int var1, String var2) {
      int var3 = OpenGL.glCreateShader(var1);
      OpenGL.glShaderSource(var3, var2);
      OpenGL.glCompileShader(var3);
      OpenGL.glGetShaderiv(var3, '\u8b81', anIntArray1561, 0);
      if(anIntArray1561[0] == 0) {
         if(anIntArray1561[0] == 0) {
            System.out.println("");
         }

         OpenGL.glGetShaderiv(var3, '\u8b84', anIntArray1561, 1);
         if(anIntArray1561[1] > 1) {
            byte[] var4 = new byte[anIntArray1561[1]];
            OpenGL.glGetShaderInfoLog(var3, anIntArray1561[1], anIntArray1561, 0, var4, 0);
            System.out.println(new String(var4));
         }

         if(anIntArray1561[0] == 0) {
            OpenGL.glDeleteShader(var3);
            return null;
         }
      }

      return new Class130(var0, var3, var1);
   }

   public void finalize() throws Throwable {
      this.aClass545_Sub1_1562.method14607((long)this.anInt1565);
      super.finalize();
   }

   void method2491() throws Throwable {
      this.aClass545_Sub1_1562.method14607((long)this.anInt1565);
      super.finalize();
   }

   Class130(Class545_Sub1 var1, int var2, int var3) {
      this.aClass545_Sub1_1562 = var1;
      this.anInt1565 = var2;
   }

   void method2492() throws Throwable {
      this.aClass545_Sub1_1562.method14607((long)this.anInt1565);
      super.finalize();
   }

   static Class130 method2493(Class545_Sub1 var0, int var1, String var2) {
      int var3 = OpenGL.glCreateShader(var1);
      OpenGL.glShaderSource(var3, var2);
      OpenGL.glCompileShader(var3);
      OpenGL.glGetShaderiv(var3, '\u8b81', anIntArray1561, 0);
      if(anIntArray1561[0] == 0) {
         if(anIntArray1561[0] == 0) {
            System.out.println("");
         }

         OpenGL.glGetShaderiv(var3, '\u8b84', anIntArray1561, 1);
         if(anIntArray1561[1] > 1) {
            byte[] var4 = new byte[anIntArray1561[1]];
            OpenGL.glGetShaderInfoLog(var3, anIntArray1561[1], anIntArray1561, 0, var4, 0);
            System.out.println(new String(var4));
         }

         if(anIntArray1561[0] == 0) {
            OpenGL.glDeleteShader(var3);
            return null;
         }
      }

      return new Class130(var0, var3, var1);
   }
}
